﻿@{
    ViewBag.NomePagina = "Departamento";
}

@Html.Partial("~/Views/Paginas/CadastroTipoContato/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Parâmetros  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Departamento
    </span>
</div>

<div id="dvAtvDsvContent" class="custom-drop" style="display: none;">
    <button class="btn btn-outline-dark custom-drop-item" id="btnAtivar">
        <i class="fa fa-check">&nbsp;</i> Ativar
    </button>
    <button class="btn btn-outline-dark custom-drop-item" id="btnDesativar">
        <i class="fa fa-times">&nbsp;</i> Desativar
    </button>
</div>

<div id="divPesquisa">

    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2TiposContatos.cshtml", new Select2TiposContatosViewModel() { idControleSelect2 = "selTip", idControleInput = "TxtTip", tipoPesquisa = true, ativo = false })
        <i class="material-icons">more_vert</i>
        <select id="ddlStatus" class="form-control">
            <option value="0" selected="selected">Selecione um status...</option>
            <option value="1">ATIVO</option>
            <option value="2">DESATIVO</option>
        </select>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>

    <div class="dataTables_consulta">
        <div id="grdCadastroTipoContatoContainer"></div>
    </div>

    <div id="dvRep" style="width: 100%;"></div>

    @*<script type="text/javascript">
            var rep = new Repeater({
                containerId: '#dvRep',
                type: 'POST',
                headers: { '__RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val() },
                data: { CODTIPCTO: -1, TIPCTOATI: -1 },
                url: '@Url.Content("~/api/CadastroTipoContato/ObterCadastroTipoContato")',
                dataType: 'json',
                model: '<input class="form-control" value="{CODTIPCTO} - {DESTIPCTO}">'
            });

            rep.onsucces = function (data, status, xhr) {
                console.log('OPAAA');
            }
        </script>*@
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Cadastro Departamento</strong>
            </div>
            <div class="col-md-6 tgv-crud-log-text divShowHide">
                <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtCodTipCto" class="input-span-title" value="" /></span>
                <span class="tgv-mer-log">
                    <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
                </span>
                <div class="tgv-mer-log-container" id="logInfoContainer">
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title-border">Registro</strong>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Alteração:</strong> <span><input type="text" id="txtDatFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Descrição:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input limparTooltipKeyDown" id="txtDesTipCto" name="txtDesTipCto" type="text" maxlength="40">
                            <label class="mdl-textfield__label" for="txtDesTipCto"></label>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnInserirCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-floppy-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnEditarCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-pencil-square-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnFecharCadastro" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>

    </form>
</div>

@Html.Partial("~/Views/Paginas/CadastroTipoContato/Partials/_IndexScript.cshtml")
